# -*- coding: utf-8 -*-
"""
/***************************************************************************
 HouseDetection
                                 A QGIS plugin
 This plugin detects houses in a shape
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                              -------------------
        begin                : 2020-07-31
        copyright            : (C) 2020 by Soluciones 3f
        email                : pablo.aguayo@soluciones3f.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""

__author__ = 'Soluciones 3f'
__date__ = '2020-07-31'
__copyright__ = '(C) 2020 by Soluciones 3f'


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load HouseDetection class from file HouseDetection.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .house_detection import HouseDetectionPlugin
    return HouseDetectionPlugin(iface)
